Rysunek Techniczny: Wstaw adnotację

From FreeCAD Documentation
Revision as of 08:09, 27 August 2021 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

TechDraw Annotation

Menu location
TechDraw → Annotations → Insert Annotation
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
Draft Text, Draft ShapeString

Description

The Annotation tool adds a text block to a drawing page.

Annotation in the drawing page

Usage

  1. If you have multiple drawing pages in your document, you will need to select the desired page in the tree.
  2. Press the Insert Annotation button
  3. A text block containing Default Text will appear on the page. Use the property editor to change the text. Drag the Annotation to the required position.
  4. You may need to press Refresh and/or Redraw Page to get your text to change.

Modifying the annotation through the property editor


Note: some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote ", less than <, and greater than > symbols; these must be replaced by HTML escape characters, &quot;, &lt;, and &gt; respectively. See Character encodings in HTML for details.

Properties

The Annotation inherits all applicable basic View properties except DANEScale. Use the DANETextSize property instead.

  • DANEText: The text to be displayed.
  • DANEFont: The name of the font to use. Annotation will use the best match of installed fonts.
  • DANETextColor: The color of the text.
  • DANETextSize: The size of the text in mm.
  • DANEMaxWidth: The maximum width of the Annotation block. -1 indicates no maximum width.
  • DANELineSpace: Line spacing adjustment (%).
  • DANETextStyle: "Normal", "Bold", "Italic", "Bold-Italic"

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The New Annotation tool can be used in macros and from the Python console by using the following functions:

anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)

Notes